Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

fafsa.ed.gob website said my browser is incompatable. a supported browser listed is 3.5x or 3.6x. do i have to download this browser for it to work?

  • 3 replies
  • 100 have this problem
  • 14 views
  • Last reply by randyc123

more options

this is the message i get when i go to the next page for the fafsa on fafsa.ed.gov. it is An Incompatible Browser Has Been Detected Your Web browser is not supported by our Web site. You must use a Compliant Web Browser - Standard* to view our site properly. We recommend you upgrade to the latest version of your browser according to your Operating System. the browser listed below are Supported Mozilla Firefox browsers: Windows XP - Mozilla Firefox 3.5.x and 3.6.x

All Replies (3)

more options

You could try it and see how it goes, but if you might lose a lot of work after filling in a multi-page form, maybe use Internet Explorer for that site rather than downgrade Firefox.

more options

We had an earlier question today -

https://support.mozilla.com/en-US/questions/838586

more options

Yes,thank you. That is what i have had to do, use my internet explorer browser. i dont normally use the ie browser, but it works. thanks for your reply.